Index: FOIAVistA/tag/r/ADVERSE_REACTION_TRACKING-GMRA-GMA/GMRAPU.m
===================================================================
--- FOIAVistA/trunk/r/ADVERSE_REACTION_TRACKING-GMRA-GMA/GMRAPU.m	(revision 631)
+++ FOIAVistA/tag/r/ADVERSE_REACTION_TRACKING-GMRA-GMA/GMRAPU.m	(revision 636)
@@ -1,4 +1,4 @@
-GMRAPU ;HIRMFO/WAA- PRINT ALLERGY LIST BY LOCATION UNVERIFIED ;8/27/93
- ;;4.0;Adverse Reaction Tracking;**33**;Mar 29, 1996;Build 5
+GMRAPU ;HIRMFO/WAA- PRINT ALLERGY LIST BY LOCATION UNVERIFIED ; 8/27/93
+ ;;4.0;Adverse Reaction Tracking;;Mar 29, 1996
 EN1 ; This routine will loop through the GMRA patient allergy file (120.8)
  ; to find all patients with unverified reactions
@@ -67,5 +67,4 @@
  .N GMRALOC,GMRANAM,GMALOC,GMRAPA
  .S GMRANAM="",GMRALOC=""
- .Q:'$$PRDTST^GMRAUTL1(GMADFN)  ;GMRA*4*33 Exclude test patients if production or legacy environment.
  .D VAD^GMRAUTL1(GMADFN,"",.GMRALOC,.GMRANAM,"","","") I GMRALOC="" S GMALOC="OUTPATIENT"
  .E  S GMALOC=$P($G(^DIC(42,GMRALOC,0)),U)
Index: FOIAVistA/tag/r/ADVERSE_REACTION_TRACKING-GMRA-GMA/GMRAUTL1.m
===================================================================
--- FOIAVistA/trunk/r/ADVERSE_REACTION_TRACKING-GMRA-GMA/GMRAUTL1.m	(revision 631)
+++ FOIAVistA/tag/r/ADVERSE_REACTION_TRACKING-GMRA-GMA/GMRAUTL1.m	(revision 636)
@@ -1,8 +1,4 @@
-GMRAUTL1 ;HIRMFO/WAA-ALLERGY UTILITIES ;12/04/92
- ;;4.0;Adverse Reaction Tracking;**33**;Mar 29, 1996;Build 5
- ;
- ; Reference to $$PROD^XUPROD supported by DBIA 4440
- ; Reference to $$TESTPAT^VADPT supported by DBIA 3744
- ; 
+GMRAUTL1 ;HIRMFO/WAA-ALLERGY UTILITIES ; 12/04/92
+ ;;4.0;Adverse Reaction Tracking;;Mar 29, 1996
  Q
 STPCK() ; This is to check to see if the user wanted to stop the print
@@ -47,14 +43,4 @@
  D CLOSE^GMRAUTL
  Q
-PRDTST(GMRADFN) ; GMRA*4*33 - Remove Test Patients from Live Reports
- ; This function will return 0 if the patient should not print on the report, and 1 if the patient
- ; should appear on the report.  This function will allow all patients to print on the report if the
- ; report is run in a test environment.
- ;
- I GMRADFN="" Q 0  ;DFN not defined. Should never be the case.
- I '$$PROD^XUPROD() Q 1  ;Not a production or legacy environment.  Print all patients on report.
- I $$TESTPAT^VADPT(GMRADFN) Q 0  ;Production or legacy environment.  Test patient.  Do not print on report.
- Q 1  ;Production or legacy environment.  Not a test patient.  Print on report.
- ; 
 VAD(DFN,DAT,LOC,NAM,SEX,SSN,RB,PRO,PID) ; Call to VADPT
  ; This call is a generic call to 1^VADPT
Index: FOIAVistA/tag/r/ADVERSE_REACTION_TRACKING-GMRA-GMA/GMRAVFY.m
===================================================================
--- FOIAVistA/trunk/r/ADVERSE_REACTION_TRACKING-GMRA-GMA/GMRAVFY.m	(revision 631)
+++ FOIAVistA/tag/r/ADVERSE_REACTION_TRACKING-GMRA-GMA/GMRAVFY.m	(revision 636)
@@ -1,4 +1,4 @@
-GMRAVFY ;HIRMFO/WAA,PWC-VERIFY AND SIGN OFF AN AGENT ; 5/23/07 10:32am
- ;;4.0;Adverse Reaction Tracking;**2,33**;Mar 29, 1996;Build 5
+GMRAVFY ;HIRMFO/WAA-VERIFY AND SIGN OFF AN AGENT ;12/1/95  16:06
+ ;;4.0;Adverse Reaction Tracking;**2**;Mar 29, 1996
 EN1 ;This is the main entry point for the verifier option.
  S GMRAVER=0,GMRADRUG=0
@@ -27,6 +27,5 @@
  S GMRAPA(0)=$G(^GMR(120.8,GMRAPA,0)),GMRATYPE=$P(GMRAPA(0),U,20)
  S DA=GMRAPA,DIE="^GMR(120.8,",DR="19////1;20///N;21////"_DUZ D ^DIE D:'GMRAVER EN1^GMRAVAB S GMRAPA(0)=$S($D(^GMR(120.8,GMRAPA,0)):^(0),1:"")
- I $G(GMRANEW) D  ;send NOTIFICATION bulletin if this is new -- GMRA*4*33
- . I $P(GMRAPA(0),U,6)="o",GMRATYPE["D" D PTBUL^GMRAROBS
+ I $P(GMRAPA(0),U,6)="o",GMRATYPE["D" D PTBUL^GMRAROBS
  I GMRAVER D EN1^GMRAPET0($P(GMRAPA(0),U),GMRAPA,"V",.GMRAOUT) I GMRAOUT S GMRAOUT=0
 Q1 D UNLOCK^GMRAUTL(120.8,GMRAPA)
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX0.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX0.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX0.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX0 ; DRIVER FOR COMPILED XREFS FOR FILE #357 ; 10/15/04
+IBDX0 ; DRIVER FOR COMPILED XREFS FOR FILE #357 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX01.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX01.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX01.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX01 ; COMPILED XREF FOR FILE #357 ; 10/15/04
+IBDX01 ; COMPILED XREF FOR FILE #357 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX02.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX02.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX02.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX02 ; COMPILED XREF FOR FILE #357.02 ; 10/15/04
+IBDX02 ; COMPILED XREF FOR FILE #357.02 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX03.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX03.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX03.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX03 ; COMPILED XREF FOR FILE #357 ; 10/15/04
+IBDX03 ; COMPILED XREF FOR FILE #357 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX04.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX04.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX04.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX04 ; COMPILED XREF FOR FILE #357.02 ; 10/15/04
+IBDX04 ; COMPILED XREF FOR FILE #357.02 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX1.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX1.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX1.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX1 ; DRIVER FOR COMPILED XREFS FOR FILE #357.1 ; 10/15/04
+IBDX1 ; DRIVER FOR COMPILED XREFS FOR FILE #357.1 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX11.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX11.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX11.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX11 ; COMPILED XREF FOR FILE #357.1 ; 10/15/04
+IBDX11 ; COMPILED XREF FOR FILE #357.1 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX110.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX110.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX110.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX110 ; COMPILED XREF FOR FILE #357.14 ; 10/15/04
+IBDX110 ; COMPILED XREF FOR FILE #357.14 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX12.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX12.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX12.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX12 ; COMPILED XREF FOR FILE #357.11 ; 10/15/04
+IBDX12 ; COMPILED XREF FOR FILE #357.11 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX13.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX13.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX13.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX13 ; COMPILED XREF FOR FILE #357.12 ; 10/15/04
+IBDX13 ; COMPILED XREF FOR FILE #357.12 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX14.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX14.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX14.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX14 ; COMPILED XREF FOR FILE #357.13 ; 10/15/04
+IBDX14 ; COMPILED XREF FOR FILE #357.13 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX15.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX15.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX15.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX15 ; COMPILED XREF FOR FILE #357.14 ; 10/15/04
+IBDX15 ; COMPILED XREF FOR FILE #357.14 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX16.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX16.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX16.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX16 ; COMPILED XREF FOR FILE #357.1 ; 10/15/04
+IBDX16 ; COMPILED XREF FOR FILE #357.1 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX17.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX17.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX17.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX17 ; COMPILED XREF FOR FILE #357.11 ; 10/15/04
+IBDX17 ; COMPILED XREF FOR FILE #357.11 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX18.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX18.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX18.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX18 ; COMPILED XREF FOR FILE #357.12 ; 10/15/04
+IBDX18 ; COMPILED XREF FOR FILE #357.12 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX19.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX19.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX19.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX19 ; COMPILED XREF FOR FILE #357.13 ; 10/15/04
+IBDX19 ; COMPILED XREF FOR FILE #357.13 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX2.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX2.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX2.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX2 ; DRIVER FOR COMPILED XREFS FOR FILE #357.2 ; 10/15/04
+IBDX2 ; DRIVER FOR COMPILED XREFS FOR FILE #357.2 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX21.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX21.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX21.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX21 ; COMPILED XREF FOR FILE #357.2 ; 10/15/04
+IBDX21 ; COMPILED XREF FOR FILE #357.2 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX22.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX22.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX22.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX22 ; COMPILED XREF FOR FILE #357.21 ; 10/15/04
+IBDX22 ; COMPILED XREF FOR FILE #357.21 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX23.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX23.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX23.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX23 ; COMPILED XREF FOR FILE #357.22 ; 10/15/04
+IBDX23 ; COMPILED XREF FOR FILE #357.22 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX24.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX24.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX24.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX24 ; COMPILED XREF FOR FILE #357.2 ; 10/15/04
+IBDX24 ; COMPILED XREF FOR FILE #357.2 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX25.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX25.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX25.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX25 ; COMPILED XREF FOR FILE #357.21 ; 10/15/04
+IBDX25 ; COMPILED XREF FOR FILE #357.21 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX26.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX26.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX26.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX26 ; COMPILED XREF FOR FILE #357.22 ; 10/15/04
+IBDX26 ; COMPILED XREF FOR FILE #357.22 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX3.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX3.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX3.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX3 ; DRIVER FOR COMPILED XREFS FOR FILE #357.3 ; 10/15/04
+IBDX3 ; DRIVER FOR COMPILED XREFS FOR FILE #357.3 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX31.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX31.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX31.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX31 ; COMPILED XREF FOR FILE #357.3 ; 10/15/04
+IBDX31 ; COMPILED XREF FOR FILE #357.3 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX32.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX32.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX32.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX32 ; COMPILED XREF FOR FILE #357.31 ; 10/15/04
+IBDX32 ; COMPILED XREF FOR FILE #357.31 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX33.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX33.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX33.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX33 ; COMPILED XREF FOR FILE #357.33 ; 10/15/04
+IBDX33 ; COMPILED XREF FOR FILE #357.33 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX34.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX34.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX34.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX34 ; COMPILED XREF FOR FILE #357.3 ; 10/15/04
+IBDX34 ; COMPILED XREF FOR FILE #357.3 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX35.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX35.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX35.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX35 ; COMPILED XREF FOR FILE #357.31 ; 10/15/04
+IBDX35 ; COMPILED XREF FOR FILE #357.31 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX36.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX36.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX36.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX36 ; COMPILED XREF FOR FILE #357.33 ; 10/15/04
+IBDX36 ; COMPILED XREF FOR FILE #357.33 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX4.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX4.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX4.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX4 ; DRIVER FOR COMPILED XREFS FOR FILE #357.4 ; 10/15/04
+IBDX4 ; DRIVER FOR COMPILED XREFS FOR FILE #357.4 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX41.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX41.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX41.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX41 ; COMPILED XREF FOR FILE #357.4 ; 10/15/04
+IBDX41 ; COMPILED XREF FOR FILE #357.4 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX42.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX42.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX42.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX42 ; COMPILED XREF FOR FILE #357.4 ; 10/15/04
+IBDX42 ; COMPILED XREF FOR FILE #357.4 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX5.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX5.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX5.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX5 ; DRIVER FOR COMPILED XREFS FOR FILE #357.5 ; 10/15/04
+IBDX5 ; DRIVER FOR COMPILED XREFS FOR FILE #357.5 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX51.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX51.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX51.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX51 ; COMPILED XREF FOR FILE #357.5 ; 10/15/04
+IBDX51 ; COMPILED XREF FOR FILE #357.5 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX52.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX52.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX52.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX52 ; COMPILED XREF FOR FILE #357.52 ; 10/15/04
+IBDX52 ; COMPILED XREF FOR FILE #357.52 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX53.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX53.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX53.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX53 ; COMPILED XREF FOR FILE #357.5 ; 10/15/04
+IBDX53 ; COMPILED XREF FOR FILE #357.5 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX54.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX54.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX54.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX54 ; COMPILED XREF FOR FILE #357.52 ; 10/15/04
+IBDX54 ; COMPILED XREF FOR FILE #357.52 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX95.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX95.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX95.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX95 ; DRIVER FOR COMPILED XREFS FOR FILE #357.95 ; 10/15/04
+IBDX95 ; DRIVER FOR COMPILED XREFS FOR FILE #357.95 ; 01/30/05
  ; 
  N DH,DU,DIKILL,DISET,DIKJ,DIKZ,DIKYR,DIKZA,DIK0Z,DIKZK,DIKDP,DIKM1,DIKUP,DIKUM,DV,DIIX,DIKF,DIAU,DIKNM,DIKDA,DIKLK,DIKLM,DIKY,DIXR,DIKCOND,DIKSVDA,DIKPUSH,X1,X2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX951.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX951.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX951.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX951 ; COMPILED XREF FOR FILE #357.95 ; 10/15/04
+IBDX951 ; COMPILED XREF FOR FILE #357.95 ; 01/30/05
  ; 
  S DIKZK=2
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX9510.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX9510.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX9510.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX9510 ; COMPILED XREF FOR FILE #357.9511 ; 10/15/04
+IBDX9510 ; COMPILED XREF FOR FILE #357.9511 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX9511.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX9511.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX9511.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX9511 ; COMPILED XREF FOR FILE #357.952 ; 10/15/04
+IBDX9511 ; COMPILED XREF FOR FILE #357.952 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX9512.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX9512.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX9512.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX9512 ; COMPILED XREF FOR FILE #357.953 ; 10/15/04
+IBDX9512 ; COMPILED XREF FOR FILE #357.953 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX952.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX952.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX952.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX952 ; COMPILED XREF FOR FILE #357.9501 ; 10/15/04
+IBDX952 ; COMPILED XREF FOR FILE #357.9501 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX953.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX953.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX953.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX953 ; COMPILED XREF FOR FILE #357.951 ; 10/15/04
+IBDX953 ; COMPILED XREF FOR FILE #357.951 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX954.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX954.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX954.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX954 ; COMPILED XREF FOR FILE #357.9511 ; 10/15/04
+IBDX954 ; COMPILED XREF FOR FILE #357.9511 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX955.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX955.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX955.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX955 ; COMPILED XREF FOR FILE #357.952 ; 10/15/04
+IBDX955 ; COMPILED XREF FOR FILE #357.952 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX956.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX956.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX956.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX956 ; COMPILED XREF FOR FILE #357.953 ; 10/15/04
+IBDX956 ; COMPILED XREF FOR FILE #357.953 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX957.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX957.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX957.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX957 ; COMPILED XREF FOR FILE #357.95 ; 10/15/04
+IBDX957 ; COMPILED XREF FOR FILE #357.95 ; 01/30/05
  ; 
  S DIKZK=1
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX958.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX958.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX958.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX958 ; COMPILED XREF FOR FILE #357.9501 ; 10/15/04
+IBDX958 ; COMPILED XREF FOR FILE #357.9501 ; 01/30/05
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX959.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX959.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_INFO_COLLECTION_SYS-IBD/IBDX959.m	(revision 636)
@@ -1,3 +1,3 @@
-IBDX959 ; COMPILED XREF FOR FILE #357.951 ; 10/15/04
+IBDX959 ; COMPILED XREF FOR FILE #357.951 ; 01/30/05
  ; 
  S DA=0
Index: FOIAVistA/tag/r/AUTOMATED_LAB_INSTRUMENTS-LA/LA7QRY2.m
===================================================================
--- FOIAVistA/trunk/r/AUTOMATED_LAB_INSTRUMENTS-LA/LA7QRY2.m	(revision 631)
+++ FOIAVistA/tag/r/AUTOMATED_LAB_INSTRUMENTS-LA/LA7QRY2.m	(revision 636)
@@ -1,4 +1,4 @@
-LA7QRY2 ;DALOI/JMC - Lab HL7 Query Utility ; 12/10/03 10:39am
- ;;5.2;AUTOMATED LAB INSTRUMENTS;**46,69**;Sep 27, 1994
+LA7QRY2 ;DALOI/JMC - Lab HL7 Query Utility ;1/30/07  19:05
+ ;;5.2;AUTOMATED LAB INSTRUMENTS;**46,69,73**;Sep 27, 1994;Build 7
  ;
  Q
@@ -9,16 +9,13 @@
  ;
  S (DFN,LRDFN)="",LA7PTYP=0
+ ; VOE changes, Use HRN cross reference, Daou;;June 8,2005
+ S LA7X=$O(^AUPNPAT("D",LA7PTID,""))
+ I LA7X>0 D SETDFN(LA7X) S LA7PTYP=1
  ;
- ; SSN passed as patient identifier
- I LA7PTID?9N.1A D
- . S LA7PTYP=1
- . S LA7X=$O(^DPT("SSN",LA7PTID,0))
- . I LA7X>0 D SETDFN(LA7X)
+ ; See if SSN passed as patient identifier
+ I DFN'>0 S LA7X=$O(^DPT("SSN",LA7PTID,0)) I LA7X>0 D SETDFN(LA7X) S LA7PTYP=1
  ;
  ; MPI/ICN (integration control number) passed as patient identifier
- I LA7PTID?10N1"V"6N D
- . S LA7PTYP=2
- . S LA7X=$$GETDFN^MPIF001($P(LA7PTID,"V"))
- . I LA7X>0 D SETDFN(LA7X)
+ I DFN'>0 S LA7X=$$GETDFN^MPIF001($P(LA7PTID,"V")) I LA7X>0 D SETDFN(LA7X) S LA7PTYP=2
  ;
  ; If no patient identified/no laboratory record - return exception message
